Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 278106 - dev-python/cgal-python removal request (was: fails to build with gcc-4.4)
Summary: dev-python/cgal-python removal request (was: fails to build with gcc-4.4)
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Sci-geo Project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.4
  Show dependency tree
 
Reported: 2009-07-16 22:45 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2009-08-12 21:39 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (cgal-python-0.9.3:20090716-215926.log,6.00 KB, text/plain)
2009-07-16 22:46 UTC, Diego Elio Pettenò (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2009-07-16 22:45:50 UTC
As per summary, check attached build log.

And _please_ try not to fix it in the wrong way: http://blog.flameeyes.eu/2009/07/02/how-_not_-to-fix-gcc-4-4-bugs
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-07-16 22:46:12 UTC
Created attachment 198239 [details]
Build log
Comment 2 Samuli Suominen gentoo-dev 2009-08-11 08:56:34 UTC
# Samuli Suominen <ssuominen@gentoo.org> (11 Aug 2009)
# For vis5d+, see https://bugs.gentoo.org/show_bug.cgi?id=274281
# For cgal-python, see https://bugs.gentoo.org/show_bug.cgi?id=278106
# These will be removed or fixed in 60 days but they can't be unmasked
# before they have.
dev-python/cgal-python
sci-visualization/vis5d+
Comment 3 Sébastien Fabbro (RETIRED) gentoo-dev 2009-08-12 21:35:59 UTC
Not so sure why a package which does not build with gcc-4.4 deserves to be removed. Anyway, this was a sci-mathematics/cgal header bug which is now fixed.
Comment 4 Samuli Suominen gentoo-dev 2009-08-12 21:39:05 UTC
(In reply to comment #3)
> Not so sure why a package which does not build with gcc-4.4 deserves to be
> removed. Anyway, this was a sci-mathematics/cgal header bug which is now fixed.
> 

Everything needs to build with latest toolchain. GCC 4.4 is about to get unmasked which has been informed on -dev ML few times by now.

Thanks for fixing it :-)